=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20251023.1623) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 23 Oct 2025 16:23:26 +0000

ros-one-ur-kinematics (1.5.0-0jammy) jammy; urgency=high

  * Update setup.py (#701 <https://github.com/ros-industrial/universal_robot/issues/701>)
  * Add support for UR15 (#702 <https://github.com/ros-industrial/universal_robot/issues/702>)
  * Add License files to packages (#695 <https://github.com/ros-industrial/universal_robot/issues/695>)
  * Contributors: Felix Exner, Forest_Loong

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Tue, 13 May 2025 00:00:00 -0000

ros-one-ur-kinematics (1.4.0-0jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 31 Mar 2025 00:00:00 -0000

ros-one-ur-kinematics (1.3.3-0jammy) jammy; urgency=high

  * Changed include for Boost in ur_kinematics (#675 <https://github.com/ros-industrial/universal_robot/issues/675>)
  * UR30 description and meshes (#674 <https://github.com/ros-industrial/universal_robot/issues/674>)
  * Contributors: Vincenzo Di Pentima

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Apr 2024 00:00:00 -0000

ros-one-ur-kinematics (1.3.2-0jammy) jammy; urgency=high

  * UR20 description and meshes (#657 <https://github.com/ros-industrial/universal_robot/issues/657>)
  * ur_kinematics: upgrade KinematicsBase API (#644 <https://github.com/ros-industrial/universal_robot/issues/644>) from isys-vision/mikado
  * Contributors: Dave Coleman, Felix Exner (fexner), Rune Søe-Knudsen, Simon Schmeisser

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 18 Dec 2023 00:00:00 -0000

ros-one-ur-kinematics (1.3.1-0jammy) jammy; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 11 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.3.0-0jammy) jammy; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
    Since the state of this package questionable at the current point, let's
    disable releasing it for now.
  * Increase minimum CMake version to allow builds on Focal Fossa (Noetic) (#586 <https://github.com/ros-industrial/universal_robot/issues/586>)
  * Merge pull request #501 <https://github.com/ros-industrial/universal_robot/issues/501> from gavanderhoorn/port_kinetic-devel_missing
    Cherry-pick missing commits from kinetic-devel into melodic-devel
  * Use print() function in both Python 2 and Python 3
    Legacy __print__ statements are syntax errors in Python 3 but __print()__ function works as expected in both Python 2 and Python 3.
  * Merge pull request #372 <https://github.com/ros-industrial/universal_robot/issues/372> from qqfly/patch-1
    simplify FK equations
  * migrated all package.xml files to format=2 (#439 <https://github.com/ros-industrial/universal_robot/issues/439>)
  * Merge branch 'kinetic-devel' into patch-1
  * simplify FK equations
  * Contributors: Felix Exner (fexner), Felix Mauch, G.A. vd. Hoorn, Levi Armstrong, Nadia Hammoudeh García, Qiang Qiu, cclauss

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 00:00:00 -0000

ros-one-ur-kinematics (1.2.5-0jammy) jammy; urgency=high

  * Update maintainer listing: add Miguel (#410 <https://github.com/ros-industrial/universal_robot/issues/410>)
  * Removed non-existent moveit KDL libraries from ur_kinematics includes
  * Update maintainer and author information.
  * Missed python module definition and setup.py script (#364 <https://github.com/ros-industrial/universal_robot/issues/364>)
  * Use the new proposed API to query params from correct namespaces (#334 <https://github.com/ros-industrial/universal_robot/issues/334>)
  * Setting default ik_weights to 1.0 (#346 <https://github.com/ros-industrial/universal_robot/issues/346>)
  * ur_moveit_plugin: fix compile error with GCC6
  * Contributors: Alexander Rössler, gavanderhoorn, Henning Kayser, Mike Lautman, Nadia Hammoudeh García, jwhendy

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Apr 2019 00:00:00 -0000

ros-one-ur-kinematics (1.2.1-0jammy) jammy; urgency=high

  * Merge pull request #303 <https://github.com//ros-industrial/universal_robot/issues/303> from marcoesposito1988/pr-urdf-pointer-type
    Updated urdf::ModelInterface pointer type for ROS Lunar
  * Updated urdf::ModelInterface pointer type for ROS Lunar
  * Contributors: G.A. vd. Hoorn, Marco Esposito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sat, 06 Jan 2018 00:00:00 -0000

ros-one-ur-kinematics (1.2.0-0jammy) jammy; urgency=high

  * Fixup for MoveIt! Kinetic
  * Contributors: Dave Coleman

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 04 Aug 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.9-0jammy) jammy; urgency=high

  * No changes.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 02 Jan 2017 00:00:00 -0000

ros-one-ur-kinematics (1.1.8-0jammy) jammy; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 30 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.7-0jammy) jammy; urgency=high

  * Depend on new moveit_kinematics package (#274 <https://github.com/ros-industrial/universal_robot/issues/274>).
  * Contributors: Isaac I.Y. Saito

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 00:00:00 -0000

ros-one-ur-kinematics (1.1.6-0jammy) jammy; urgency=high

  * apply ur-kin-constants fix for ur3
  * Merge remote-tracking branch 'origin-rosi/indigo-devel' into ur-kin-constants
  * ur_kinematics: Move #defines to constants in source file.

