## ros-one-ur-kinematics 1.5.0-1jammy.20251208.0923

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20251208.0923) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Dec 2025 09:23:10 +0000
