## ros-one-ur-kinematics 1.5.0-1jammy.20260128.2241

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1jammy.20260128.2241) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Jan 2026 22:41:53 +0000
