=== debian/control ===
Source: ros-one-ur-kinematics
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-kinematics, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-tf-conversions
Homepage: http://wiki.ros.org/ur_kinematics
Standards-Version: 3.9.2

Package: ros-one-ur-kinematics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-geometry-msgs, ros-one-moveit-core, ros-one-moveit-kinematics, ros-one-moveit-ros-planning, ros-one-pluginlib, ros-one-roscpp, ros-one-rospy, ros-one-tf-conversions
Description: Provides forward and inverse kinematics for Universal Robots designs.
 See http://hdl.handle.net/1853/50782 for details.
