## ros-one-ur-kinematics 1.5.0-1noble.20251208.1558

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20251208.1558) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 08 Dec 2025 15:58:34 +0000
