## ros-one-ur-kinematics 1.5.0-1noble.20260301.2229

=== debian/changelog ===
ros-one-ur-kinematics (1.5.0-1noble.20260301.2229) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Mar 2026 22:29:40 +0000
